Commit 983e6f82 authored by Kroese's avatar Kroese Committed by GitHub
Browse files

Colors in log

parent 1f1001f8
Loading
Loading
Loading
Loading
+4 −4
Original line number Diff line number Diff line
@@ -4,7 +4,7 @@ set -Eeuo pipefail
TMP="/boot.img"
rm -f "$TMP"

echo "Downloading ${BOOT} as boot image..."
info "Downloading ${BOOT} as boot image..."

# Check if running with interactive TTY or redirected to docker log
if [ -t 1 ]; then
@@ -16,14 +16,14 @@ fi
[[ "${DEBUG}" == [Yy1]* ]] && set -x

{ wget "$BOOT" -O "$TMP" -q --no-check-certificate --show-progress "$PROGRESS"; rc=$?; } || :
(( rc != 0 )) && echo "ERROR: Failed to download ${BOOT}, reason: $rc" && exit 60

[ ! -f "$TMP" ] && echo "Failed to download ${BOOT}" && exit 61
(( rc != 0 )) && error "Failed to download ${BOOT}, reason: $rc" && exit 60
[ ! -f "$TMP" ] && error "Failed to download ${BOOT}" && exit 61

SIZE=$(stat -c%s "$TMP")

if ((SIZE<100000)); then
  echo "Invalid ISO file: Size is smaller than 100 KB" && exit 62
  error "Invalid ISO file: Size is smaller than 100 KB" && exit 62
fi

FILE="$STORAGE/boot.img"